FeatureVector (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.feature
Class FeatureVector

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<FeatureFunction>
                  org.maltparser.core.feature.FeatureVector

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<FeatureFunction>, Collection<FeatureFunction>, List<FeatureFunction>, RandomAccess

    public class FeatureVector

extends ArrayList<FeatureFunction>
implements Serializable

Author:
  Johan Hall
See Also:
  Serialized Form

Field Summary
`protected FeatureModel` | `featureModel`
`static long` | `serialVersionUID`
`protected SpecificationSubModel` | `specSubModel`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`FeatureVector(FeatureModel featureModel, SpecificationSubModel specSubModel)` Constructs a feature vector

Method Summary
`FeatureModel` | `getFeatureModel()` Returns the feature model that the feature vector belongs to.
`SpecificationSubModel` | `getSpecSubModel()` Returns the subspecifiction-model.
`protected void` | `setFeatureModel(FeatureModel featureModel)`
`protected void` | `setSpecSubModel(SpecificationSubModel specSubModel)`
`String` | `toString()`
`void` | `update()` Updates all feature value in the feature vector according to the current state.
`void` | `updateCardinality()` Updates the cardinality (number of distinct values) of a feature value associated with the feature function

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

### specSubModel

    protected SpecificationSubModel specSubModel

### featureModel

    protected FeatureModel featureModel

Constructor Detail

### FeatureVector

    public FeatureVector(FeatureModel featureModel,
                         SpecificationSubModel specSubModel)
                  throws MaltChainedException

  Constructs a feature vector

  Parameters:
    `featureModel` - the parent feature model
    `specSubModel` - the subspecifiction-model
  Throws:
    `MaltChainedException`

Method Detail

### getSpecSubModel

    public SpecificationSubModel getSpecSubModel()

  Returns the subspecifiction-model.

  Returns:
    the subspecifiction-model

### setSpecSubModel

    protected void setSpecSubModel(SpecificationSubModel specSubModel)

### getFeatureModel

    public FeatureModel getFeatureModel()

  Returns the feature model that the feature vector belongs to.

  Returns:
    the feature model that the feature vector belongs to

### setFeatureModel

    protected void setFeatureModel(FeatureModel featureModel)

### update

    public void update()
                throws MaltChainedException

  Updates all feature value in the feature vector according to the current state.

  Throws:
    `MaltChainedException`

### updateCardinality

    public void updateCardinality()
                           throws MaltChainedException

  Updates the cardinality (number of distinct values) of a feature value associated with the feature function

  Throws:
    `MaltChainedException`

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractCollection<FeatureFunction>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.